/****************************************************************************
 * 
 * OSASupport.h
 * 
 ****************************************************************************/

#ifndef __OSASUPPORT__
#define __OSASUPPORT__

#include <Components.h>
#include <OSA.h>
#include <OSAComp.h>
#include <OSAGeneric.h>

//---------------------------------------------------------------------------

Boolean 				InitializeOSASupport				(void);
Boolean 				HasOSASupport						(void);

ComponentInstance	GetScriptingComponentInstance	(void);

OSErr					ConnectToScriptingComponent	(void);
OSAError				LoadCompiledScript				(FSSpec *fsSpec, OSAID *scriptID);
OSAError				ExecuteScript						(OSAID scriptID);
OSErr					ExamineScriptError				(ComponentInstance componentInstance, short *startOffset, short *endOffset);

//---------------------------------------------------------------------------

#endif
